This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 695408 - Inventory>Child History doesn't give enough details for deleted items
Inventory>Child History doesn't give enough details for deleted items
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.Beta1
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: jon3
  Show dependency treegraph
 
Reported: 2011-04-11 12:13 EDT by John Mazzitelli
Modified: 2013-09-02 03:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:14:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2011-04-11 12:13:18 EDT
delete a child resource (not uninventory, actually delete - like deleting a datasource from jboss-as server). Go to the parent resource's inventory>child history page and double click the delete history item for its details.

notice you have no real details for the delete item - for example, you don't know the name of the resource that was deleted or its type.

we need to show more details for delete. probably could use more details for create too, but delete it really bare in the information it shows.
Comment 1 John Mazzitelli 2011-04-14 11:17:31 EDT
putting on on_dev so its easier for me to find this in bugzilla.
Comment 2 John Mazzitelli 2011-05-04 11:32:46 EDT
master commit: 8ce6568

when viewing the details of a created child history, you can now see the resource type of the created resource.

when viewing the details of a deleted child history, you can now see the resource type AND the resource name of the deleted resource.
Comment 3 Charles Crouch 2011-05-09 16:12:58 EDT
Adding for triage for RHQ4.0.1
Comment 4 Sunil Kondkar 2011-06-01 08:10:12 EDT
Verified on build107 (Version: 4.1.0-SNAPSHOT Build Number: 9192306)

Created a WAR child in JBossAs5 resource. When viewing the details of a created child history, the resource type of the created resource is displayed as "Resource Type : Web Application (WAR)"

Deleted the child resource and the child history displays the resource type AND the resource name of the deleted resource as below:
Resource Name :	counter.war
Resource Type :	Web Application (WAR)

Marking as verified.
Comment 5 Heiko W. Rupp 2013-09-02 03:14:44 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.